update gnome-shell/gjs to use mozjs17

Bug #1205971 reported by Tim Lunn on 2013-07-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cinnamon (Ubuntu)
Undecided
Unassigned
gjs (Ubuntu)
Undecided
Unassigned
gnome-shell (Ubuntu)
Undecided
Unassigned

Bug Description

We can now migrate the gjs/gnome-shell stack to use the new mozjs17.

Cinnamon is broken in Saucy since gjs 1.36 update, but attached patch allows to build against gjs 1.37.
gnome-sushi will need a no change rebuild.

Tim Lunn (darkxst) wrote :
Tim Lunn (darkxst) wrote :
Tim Lunn (darkxst) wrote :
description: updated
Jeremy Bicha (jbicha) wrote :

It'll be a little safer if we can first fix gnome-documents not starting.

Tim Lunn (darkxst) wrote :

gnome-documents starts with gjs 1.37 just doesnt display any documents.

The attachment "update to new upstream version" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Jeremy Bicha (jbicha) on 2013-07-29
Changed in gjs (Ubuntu):
status: New → In Progress
status: In Progress → Fix Committed
Changed in gnome-shell (Ubuntu):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gjs - 1.37.4-0ubuntu1

---------------
gjs (1.37.4-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1205971)
  * debian/control.in:
    - Bump b-d on gobject-instropection
    - Build-depend on mozjs17 instead of mozjs
    - Bump library packages to libgjs0d (for mozjs17 transition)
 -- Tim Lunn <email address hidden> Tue, 30 Jul 2013 09:15:40 +1000

Changed in gjs (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-shell - 3.8.3-1ubuntu5

---------------
gnome-shell (3.8.3-1ubuntu5) saucy; urgency=low

  * debian/control.in:
    - Build-depend on gjs 1.37 (with mozjs17). This should noticeably reduce
      memory leaks and garbage collector lock ups (LP: #1205971, #1113166)
  * debian/patches:
    - revert-disable-periodic-gc.patch: this is safe to re-enable with mozjs17
    - git_gjs_api_change.patch: update for minor api change in gjs 1.37
 -- Tim Lunn <email address hidden> Wed, 29 Jul 2013 01:00:57 +1000

Changed in gnome-shell (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cinnamon - 1.7.4-2ubuntu4

---------------
cinnamon (1.7.4-2ubuntu4) saucy; urgency=low

  * debian/patches/git_gjs_api_change.patch: adapt to api change in gjs 1.37
    (LP: #1205971) (Note that Cinnamon needs more work before it will actually
    run with GNOME 3.8.)
 -- Tim Lunn <email address hidden> Wed, 31 Jul 2013 01:27:45 +1000

Changed in cinnamon (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers